#line 1 "C:/Users/vlado/Downloads/2841_hdc1000_and_g2c_click_demo_v1.0.0.0/example/STM/Click_G2C_Sensor_STM.c"
#line 1 "c:/users/vlado/downloads/2841_hdc1000_and_g2c_click_demo_v1.0.0.0/example/stm/click_hdc1000_config.h"
#line 1 "c:/users/vlado/downloads/2841_hdc1000_and_g2c_click_demo_v1.0.0.0/example/stm/click_hdc1000_types.h"
#line 1 "c:/users/public/documents/mikroelektronika/mikroc pro for arm/include/stdint.h"





typedef signed char int8_t;
typedef signed int int16_t;
typedef signed long int int32_t;
typedef signed long long int64_t;


typedef unsigned char uint8_t;
typedef unsigned int uint16_t;
typedef unsigned long int uint32_t;
typedef unsigned long long uint64_t;


typedef signed char int_least8_t;
typedef signed int int_least16_t;
typedef signed long int int_least32_t;
typedef signed long long int_least64_t;


typedef unsigned char uint_least8_t;
typedef unsigned int uint_least16_t;
typedef unsigned long int uint_least32_t;
typedef unsigned long long uint_least64_t;



typedef signed long int int_fast8_t;
typedef signed long int int_fast16_t;
typedef signed long int int_fast32_t;
typedef signed long long int_fast64_t;


typedef unsigned long int uint_fast8_t;
typedef unsigned long int uint_fast16_t;
typedef unsigned long int uint_fast32_t;
typedef unsigned long long uint_fast64_t;


typedef signed long int intptr_t;
typedef unsigned long int uintptr_t;


typedef signed long long intmax_t;
typedef unsigned long long uintmax_t;
#line 4 "c:/users/vlado/downloads/2841_hdc1000_and_g2c_click_demo_v1.0.0.0/example/stm/click_hdc1000_config.h"
const uint32_t _HDC1000_I2C_CFG[ 1 ] =
{
 100000
};
#line 1 "c:/users/vlado/downloads/2841_hdc1000_and_g2c_click_demo_v1.0.0.0/example/stm/click_g2c_sensor_types.h"
#line 1 "c:/users/public/documents/mikroelektronika/mikroc pro for arm/include/stdint.h"
#line 1 "c:/users/vlado/downloads/2841_hdc1000_and_g2c_click_demo_v1.0.0.0/example/stm/click_g2c_sensor_config.h"
#line 1 "c:/users/vlado/downloads/2841_hdc1000_and_g2c_click_demo_v1.0.0.0/example/stm/click_g2c_sensor_types.h"
#line 3 "c:/users/vlado/downloads/2841_hdc1000_and_g2c_click_demo_v1.0.0.0/example/stm/click_g2c_sensor_config.h"
const uint32_t _G2C_UART_CFG[ 4 ] =
{
 57600,
 _UART_8_BIT_DATA,
 _UART_NOPARITY,
 _UART_ONE_STOPBIT
};
#line 1 "c:/users/vlado/downloads/2841_hdc1000_and_g2c_click_demo_v1.0.0.0/library/__g2csensor_driver.h"
#line 1 "c:/users/public/documents/mikroelektronika/mikroc pro for arm/include/stdint.h"
#line 78 "c:/users/vlado/downloads/2841_hdc1000_and_g2c_click_demo_v1.0.0.0/library/__g2csensor_driver.h"
void g2csensor_uartDriverInit( const uint8_t*  gpioObj,  const uint8_t*  uartObj);
#line 90 "c:/users/vlado/downloads/2841_hdc1000_and_g2c_click_demo_v1.0.0.0/library/__g2csensor_driver.h"
void g2csensor_writeByte(uint8_t input);
#line 99 "c:/users/vlado/downloads/2841_hdc1000_and_g2c_click_demo_v1.0.0.0/library/__g2csensor_driver.h"
uint8_t g2csensor_readByte();
#line 108 "c:/users/vlado/downloads/2841_hdc1000_and_g2c_click_demo_v1.0.0.0/library/__g2csensor_driver.h"
uint8_t g2csensor_byteReady();

void g2csensor_enableDevice ( void );

void g2csensor_disableDevice ( void );

void g2csensor_resetDevice ( void );

void g2csensor_enableEcho ( void );

void g2csensor_disableEcho ( void );

void g2csensor_connectNetwork ( uint8_t *ssid, uint8_t *pass );

void g2csensor_disconnectNetwork ( void );

void g2csensor_connectBroker ( uint8_t *devid, uint8_t *pass );

void g2csensor_disconnectBroker ( void );

void g2csensor_commitData ( uint8_t *ref, uint8_t *val );

void g2csensor_publishData ( void );
#line 28 "C:/Users/vlado/Downloads/2841_hdc1000_and_g2c_click_demo_v1.0.0.0/example/STM/Click_G2C_Sensor_STM.c"
 unsigned short int time=0;

void systemInit()
{


 mikrobus_gpioInit( _MIKROBUS2, _MIKROBUS_INT_PIN, _GPIO_INPUT );
 mikrobus_i2cInit( _MIKROBUS2, _HDC1000_I2C_CFG );



 mikrobus_gpioInit( _MIKROBUS1, _MIKROBUS_RST_PIN, _GPIO_OUTPUT );
 mikrobus_uartInit( _MIKROBUS1, _G2C_UART_CFG );
 mikrobus_logInit( _MIKROBUS3, 9600 );

 Delay_ms( 100 );
 mikrobus_logWrite( "System peripherals initialized.", _LOG_LINE );
}

void applicationInit()
{


 hdc1000_i2cDriverInit( ( const uint8_t* )&_MIKROBUS2_GPIO, ( const uint8_t* )&_MIKROBUS2_I2C, _HDC1000_ADDR );
 hdc1000_defaultConfiguration();



 g2csensor_uartDriverInit( ( const uint8_t* )&_MIKROBUS1_GPIO, ( const uint8_t* )&_MIKROBUS1_UART );
 mikrobus_logWrite( "G2C driver initialized.", _LOG_LINE );
 Delay_ms( 5000 );

 g2csensor_enableDevice();
 mikrobus_logWrite( "G2C device enabled.", _LOG_LINE );
 Delay_ms( 5000 );

 g2csensor_connectNetwork(  "Lab18a"  ,  "elektron1ka"  );
 mikrobus_logWrite( "G2C connected to network.", _LOG_LINE );
 Delay_ms( 5000 );

 g2csensor_connectBroker(  "62b7qfuwi3kbiixh"  ,  "a56d3a47-1983-4c0c-9c14-3bb6dccc3e6a"  );
 mikrobus_logWrite( "G2C connected to broker.", _LOG_LINE );
 Delay_ms( 5000 );
}

void applicationTask()
{
 float temperature, humidity;


 uint8_t logT[64], logH[64],logTime[64];



 temperature = hdc1000_getTemperature();
 humidity = hdc1000_getHumidity();

 FloatToStr(time,logTime);
 time++;


 mikrobus_logWrite( "Time : ", _LOG_TEXT );
 mikrobus_logWrite( logTime, _LOG_TEXT );
 mikrobus_logWrite( " s", _LOG_LINE );
#line 106 "C:/Users/vlado/Downloads/2841_hdc1000_and_g2c_click_demo_v1.0.0.0/example/STM/Click_G2C_Sensor_STM.c"
 g2csensor_commitData( "TESTTIME_T", logTime );



 g2csensor_publishData();
}

void main()
{
 systemInit();
 applicationInit();

 for (;;)
 {
 applicationTask();
 }
}
