_systemInit:
;Click_G2C_Sensor_STM.c,30 :: 		void systemInit()
SUB	SP, SP, #4
STR	LR, [SP, #0]
;Click_G2C_Sensor_STM.c,34 :: 		mikrobus_gpioInit( _MIKROBUS2, _MIKROBUS_INT_PIN, _GPIO_INPUT );
MOVS	R2, #1
MOVS	R1, #7
MOVS	R0, #1
BL	_mikrobus_gpioInit+0
;Click_G2C_Sensor_STM.c,35 :: 		mikrobus_i2cInit( _MIKROBUS2, _HDC1000_I2C_CFG );
MOVW	R1, #lo_addr(__HDC1000_I2C_CFG+0)
MOVT	R1, #hi_addr(__HDC1000_I2C_CFG+0)
MOVS	R0, #1
BL	_mikrobus_i2cInit+0
;Click_G2C_Sensor_STM.c,39 :: 		mikrobus_gpioInit( _MIKROBUS1, _MIKROBUS_RST_PIN, _GPIO_OUTPUT );
MOVS	R2, #0
MOVS	R1, #1
MOVS	R0, #0
BL	_mikrobus_gpioInit+0
;Click_G2C_Sensor_STM.c,40 :: 		mikrobus_uartInit( _MIKROBUS1, _G2C_UART_CFG );
MOVW	R1, #lo_addr(__G2C_UART_CFG+0)
MOVT	R1, #hi_addr(__G2C_UART_CFG+0)
MOVS	R0, #0
BL	_mikrobus_uartInit+0
;Click_G2C_Sensor_STM.c,41 :: 		mikrobus_logInit( _MIKROBUS3, 9600 );
MOVW	R1, #9600
MOVS	R0, #2
BL	_mikrobus_logInit+0
;Click_G2C_Sensor_STM.c,43 :: 		Delay_ms( 100 );
MOVW	R7, #2302
MOVT	R7, #61
NOP
NOP
L_systemInit0:
SUBS	R7, R7, #1
BNE	L_systemInit0
NOP
NOP
NOP
;Click_G2C_Sensor_STM.c,44 :: 		mikrobus_logWrite( "System peripherals initialized.", _LOG_LINE );
MOVW	R0, #lo_addr(?lstr1_Click_G2C_Sensor_STM+0)
MOVT	R0, #hi_addr(?lstr1_Click_G2C_Sensor_STM+0)
MOVS	R1, #2
BL	_mikrobus_logWrite+0
;Click_G2C_Sensor_STM.c,45 :: 		}
L_end_systemInit:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _systemInit
_applicationInit:
;Click_G2C_Sensor_STM.c,47 :: 		void applicationInit()
SUB	SP, SP, #4
STR	LR, [SP, #0]
;Click_G2C_Sensor_STM.c,51 :: 		hdc1000_i2cDriverInit( (T_HDC1000_P)&_MIKROBUS2_GPIO, (T_HDC1000_P)&_MIKROBUS2_I2C, _HDC1000_ADDR );
MOVS	R2, #64
MOVW	R1, #lo_addr(__MIKROBUS2_I2C+0)
MOVT	R1, #hi_addr(__MIKROBUS2_I2C+0)
MOVW	R0, #lo_addr(__MIKROBUS2_GPIO+0)
MOVT	R0, #hi_addr(__MIKROBUS2_GPIO+0)
BL	_hdc1000_i2cDriverInit+0
;Click_G2C_Sensor_STM.c,52 :: 		hdc1000_defaultConfiguration();
BL	_hdc1000_defaultConfiguration+0
;Click_G2C_Sensor_STM.c,56 :: 		g2csensor_uartDriverInit( (T_G2CSENSOR_P)&_MIKROBUS1_GPIO, (T_G2CSENSOR_P)&_MIKROBUS1_UART );
MOVW	R1, #lo_addr(__MIKROBUS1_UART+0)
MOVT	R1, #hi_addr(__MIKROBUS1_UART+0)
MOVW	R0, #lo_addr(__MIKROBUS1_GPIO+0)
MOVT	R0, #hi_addr(__MIKROBUS1_GPIO+0)
BL	_g2csensor_uartDriverInit+0
;Click_G2C_Sensor_STM.c,57 :: 		mikrobus_logWrite( "G2C driver initialized.", _LOG_LINE );
MOVW	R0, #lo_addr(?lstr2_Click_G2C_Sensor_STM+0)
MOVT	R0, #hi_addr(?lstr2_Click_G2C_Sensor_STM+0)
MOVS	R1, #2
BL	_mikrobus_logWrite+0
;Click_G2C_Sensor_STM.c,58 :: 		Delay_ms( 5000 );
MOVW	R7, #49662
MOVT	R7, #3051
NOP
NOP
L_applicationInit2:
SUBS	R7, R7, #1
BNE	L_applicationInit2
NOP
NOP
NOP
;Click_G2C_Sensor_STM.c,60 :: 		g2csensor_enableDevice();
BL	_g2csensor_enableDevice+0
;Click_G2C_Sensor_STM.c,61 :: 		mikrobus_logWrite( "G2C device enabled.", _LOG_LINE );
MOVW	R0, #lo_addr(?lstr3_Click_G2C_Sensor_STM+0)
MOVT	R0, #hi_addr(?lstr3_Click_G2C_Sensor_STM+0)
MOVS	R1, #2
BL	_mikrobus_logWrite+0
;Click_G2C_Sensor_STM.c,62 :: 		Delay_ms( 5000 );
MOVW	R7, #49662
MOVT	R7, #3051
NOP
NOP
L_applicationInit4:
SUBS	R7, R7, #1
BNE	L_applicationInit4
NOP
NOP
NOP
;Click_G2C_Sensor_STM.c,64 :: 		g2csensor_connectNetwork( WIFI_NETWORK_SSID , WIFI_NETWORK_PASS );
MOVW	R1, #lo_addr(?lstr5_Click_G2C_Sensor_STM+0)
MOVT	R1, #hi_addr(?lstr5_Click_G2C_Sensor_STM+0)
MOVW	R0, #lo_addr(?lstr4_Click_G2C_Sensor_STM+0)
MOVT	R0, #hi_addr(?lstr4_Click_G2C_Sensor_STM+0)
BL	_g2csensor_connectNetwork+0
;Click_G2C_Sensor_STM.c,65 :: 		mikrobus_logWrite( "G2C connected to network.", _LOG_LINE );
MOVW	R0, #lo_addr(?lstr6_Click_G2C_Sensor_STM+0)
MOVT	R0, #hi_addr(?lstr6_Click_G2C_Sensor_STM+0)
MOVS	R1, #2
BL	_mikrobus_logWrite+0
;Click_G2C_Sensor_STM.c,66 :: 		Delay_ms( 5000 );
MOVW	R7, #49662
MOVT	R7, #3051
NOP
NOP
L_applicationInit6:
SUBS	R7, R7, #1
BNE	L_applicationInit6
NOP
NOP
NOP
;Click_G2C_Sensor_STM.c,68 :: 		g2csensor_connectBroker( G2C_DEVICE_ID , G2C_DEVICE_PASS );
MOVW	R1, #lo_addr(?lstr8_Click_G2C_Sensor_STM+0)
MOVT	R1, #hi_addr(?lstr8_Click_G2C_Sensor_STM+0)
MOVW	R0, #lo_addr(?lstr7_Click_G2C_Sensor_STM+0)
MOVT	R0, #hi_addr(?lstr7_Click_G2C_Sensor_STM+0)
BL	_g2csensor_connectBroker+0
;Click_G2C_Sensor_STM.c,69 :: 		mikrobus_logWrite( "G2C connected to broker.", _LOG_LINE );
MOVW	R0, #lo_addr(?lstr9_Click_G2C_Sensor_STM+0)
MOVT	R0, #hi_addr(?lstr9_Click_G2C_Sensor_STM+0)
MOVS	R1, #2
BL	_mikrobus_logWrite+0
;Click_G2C_Sensor_STM.c,70 :: 		Delay_ms( 5000 );
MOVW	R7, #49662
MOVT	R7, #3051
NOP
NOP
L_applicationInit8:
SUBS	R7, R7, #1
BNE	L_applicationInit8
NOP
NOP
NOP
;Click_G2C_Sensor_STM.c,71 :: 		}
L_end_applicationInit:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _applicationInit
_applicationTask:
;Click_G2C_Sensor_STM.c,73 :: 		void applicationTask()
SUB	SP, SP, #68
STR	LR, [SP, #0]
;Click_G2C_Sensor_STM.c,82 :: 		temperature = hdc1000_getTemperature();
BL	_hdc1000_getTemperature+0
;Click_G2C_Sensor_STM.c,83 :: 		humidity = hdc1000_getHumidity();
BL	_hdc1000_getHumidity+0
;Click_G2C_Sensor_STM.c,85 :: 		FloatToStr(time,logTime);
ADD	R1, SP, #4
MOVW	R0, #lo_addr(_time+0)
MOVT	R0, #hi_addr(_time+0)
LDRB	R0, [R0, #0]
VMOV	S0, R0
VCVT.F32	#0, S0, S0
MOV	R0, R1
BL	_FloatToStr+0
;Click_G2C_Sensor_STM.c,86 :: 		time++;
MOVW	R1, #lo_addr(_time+0)
MOVT	R1, #hi_addr(_time+0)
LDRB	R0, [R1, #0]
ADDS	R0, R0, #1
STRB	R0, [R1, #0]
;Click_G2C_Sensor_STM.c,89 :: 		mikrobus_logWrite( "Time : ", _LOG_TEXT );
MOVW	R0, #lo_addr(?lstr10_Click_G2C_Sensor_STM+0)
MOVT	R0, #hi_addr(?lstr10_Click_G2C_Sensor_STM+0)
MOVS	R1, #1
BL	_mikrobus_logWrite+0
;Click_G2C_Sensor_STM.c,90 :: 		mikrobus_logWrite( logTime, _LOG_TEXT );
ADD	R0, SP, #4
MOVS	R1, #1
BL	_mikrobus_logWrite+0
;Click_G2C_Sensor_STM.c,91 :: 		mikrobus_logWrite( " s", _LOG_LINE );
MOVW	R0, #lo_addr(?lstr11_Click_G2C_Sensor_STM+0)
MOVT	R0, #hi_addr(?lstr11_Click_G2C_Sensor_STM+0)
MOVS	R1, #2
BL	_mikrobus_logWrite+0
;Click_G2C_Sensor_STM.c,106 :: 		g2csensor_commitData( "TESTTIME_T", logTime );
ADD	R1, SP, #4
MOVW	R0, #lo_addr(?lstr12_Click_G2C_Sensor_STM+0)
MOVT	R0, #hi_addr(?lstr12_Click_G2C_Sensor_STM+0)
BL	_g2csensor_commitData+0
;Click_G2C_Sensor_STM.c,110 :: 		g2csensor_publishData();
BL	_g2csensor_publishData+0
;Click_G2C_Sensor_STM.c,111 :: 		}
L_end_applicationTask:
LDR	LR, [SP, #0]
ADD	SP, SP, #68
BX	LR
; end of _applicationTask
_main:
;Click_G2C_Sensor_STM.c,113 :: 		void main()
;Click_G2C_Sensor_STM.c,115 :: 		systemInit();
BL	_systemInit+0
;Click_G2C_Sensor_STM.c,116 :: 		applicationInit();
BL	_applicationInit+0
;Click_G2C_Sensor_STM.c,118 :: 		for (;;)
L_main10:
;Click_G2C_Sensor_STM.c,120 :: 		applicationTask();
BL	_applicationTask+0
;Click_G2C_Sensor_STM.c,121 :: 		}
IT	AL
BAL	L_main10
;Click_G2C_Sensor_STM.c,122 :: 		}
L_end_main:
L__main_end_loop:
B	L__main_end_loop
; end of _main
