__g2csensor_driver_hal_gpioMap:
;__g2csensor_hal.c,321 :: 		static void hal_gpioMap(T_HAL_P gpioObj)
; gpioObj start address is: 0 (R0)
; gpioObj end address is: 0 (R0)
; gpioObj start address is: 0 (R0)
;__g2csensor_hal.c,326 :: 		hal_gpio_anGet = tmp->gpioGet[ __AN_PIN_INPUT__ ];
ADDW	R3, R0, #48
LDR	R2, [R3, #0]
MOVW	R1, #lo_addr(__g2csensor_driver_hal_gpio_anGet+0)
MOVT	R1, #hi_addr(__g2csensor_driver_hal_gpio_anGet+0)
STR	R2, [R1, #0]
;__g2csensor_hal.c,344 :: 		hal_gpio_pwmGet = tmp->gpioGet[ __PWM_PIN_INPUT__ ];
ADDW	R1, R3, #24
LDR	R2, [R1, #0]
MOVW	R1, #lo_addr(__g2csensor_driver_hal_gpio_pwmGet+0)
MOVT	R1, #hi_addr(__g2csensor_driver_hal_gpio_pwmGet+0)
STR	R2, [R1, #0]
;__g2csensor_hal.c,347 :: 		hal_gpio_intGet = tmp->gpioGet[ __INT_PIN_INPUT__ ];
ADDW	R1, R3, #28
LDR	R2, [R1, #0]
MOVW	R1, #lo_addr(__g2csensor_driver_hal_gpio_intGet+0)
MOVT	R1, #hi_addr(__g2csensor_driver_hal_gpio_intGet+0)
STR	R2, [R1, #0]
;__g2csensor_hal.c,362 :: 		hal_gpio_anSet = tmp->gpioSet[ __AN_PIN_OUTPUT__ ];
LDR	R2, [R0, #0]
MOVW	R1, #lo_addr(__g2csensor_driver_hal_gpio_anSet+0)
MOVT	R1, #hi_addr(__g2csensor_driver_hal_gpio_anSet+0)
STR	R2, [R1, #0]
;__g2csensor_hal.c,365 :: 		hal_gpio_csSet = tmp->gpioSet[ __CS_PIN_OUTPUT__ ];
ADDW	R1, R0, #8
LDR	R2, [R1, #0]
MOVW	R1, #lo_addr(__g2csensor_driver_hal_gpio_csSet+0)
MOVT	R1, #hi_addr(__g2csensor_driver_hal_gpio_csSet+0)
STR	R2, [R1, #0]
;__g2csensor_hal.c,368 :: 		hal_gpio_rstSet = tmp->gpioSet[ __RST_PIN_OUTPUT__ ];
ADDS	R1, R0, #4
LDR	R2, [R1, #0]
MOVW	R1, #lo_addr(__g2csensor_driver_hal_gpio_rstSet+0)
MOVT	R1, #hi_addr(__g2csensor_driver_hal_gpio_rstSet+0)
STR	R2, [R1, #0]
;__g2csensor_hal.c,380 :: 		hal_gpio_pwmSet = tmp->gpioSet[ __PWM_PIN_OUTPUT__ ];
ADDW	R1, R0, #24
; gpioObj end address is: 0 (R0)
LDR	R2, [R1, #0]
MOVW	R1, #lo_addr(__g2csensor_driver_hal_gpio_pwmSet+0)
MOVT	R1, #hi_addr(__g2csensor_driver_hal_gpio_pwmSet+0)
STR	R2, [R1, #0]
;__g2csensor_hal.c,397 :: 		}
L_end_hal_gpioMap:
BX	LR
; end of __g2csensor_driver_hal_gpioMap
__g2csensor_driver_hal_uartMap:
;__hal_stm32.c,133 :: 		static void hal_uartMap(T_HAL_P uartObj)
; uartObj start address is: 0 (R0)
; uartObj end address is: 0 (R0)
; uartObj start address is: 0 (R0)
;__hal_stm32.c,137 :: 		fp_uartWrite = tmp->uartWrite;
LDR	R2, [R0, #0]
MOVW	R1, #lo_addr(__g2csensor_driver_fp_uartWrite+0)
MOVT	R1, #hi_addr(__g2csensor_driver_fp_uartWrite+0)
STR	R2, [R1, #0]
;__hal_stm32.c,138 :: 		fp_uartRead  = tmp->uartRead;
ADDS	R1, R0, #4
LDR	R2, [R1, #0]
MOVW	R1, #lo_addr(__g2csensor_driver_fp_uartRead+0)
MOVT	R1, #hi_addr(__g2csensor_driver_fp_uartRead+0)
STR	R2, [R1, #0]
;__hal_stm32.c,139 :: 		fp_uartReady = tmp->uartReady;
ADDW	R1, R0, #8
; uartObj end address is: 0 (R0)
LDR	R2, [R1, #0]
MOVW	R1, #lo_addr(__g2csensor_driver_fp_uartReady+0)
MOVT	R1, #hi_addr(__g2csensor_driver_fp_uartReady+0)
STR	R2, [R1, #0]
;__hal_stm32.c,140 :: 		}
L_end_hal_uartMap:
BX	LR
; end of __g2csensor_driver_hal_uartMap
__g2csensor_driver_hal_uartWrite:
;__hal_stm32.c,142 :: 		static void hal_uartWrite(uint8_t input)
; input start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
; input end address is: 0 (R0)
; input start address is: 0 (R0)
;__hal_stm32.c,144 :: 		fp_uartWrite(input);
; input end address is: 0 (R0)
MOVW	R4, #lo_addr(__g2csensor_driver_fp_uartWrite+0)
MOVT	R4, #hi_addr(__g2csensor_driver_fp_uartWrite+0)
LDR	R4, [R4, #0]
BLX	R4
;__hal_stm32.c,145 :: 		}
L_end_hal_uartWrite:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of __g2csensor_driver_hal_uartWrite
__g2csensor_driver_hal_uartRead:
;__hal_stm32.c,147 :: 		static uint8_t hal_uartRead()
SUB	SP, SP, #4
STR	LR, [SP, #0]
;__hal_stm32.c,149 :: 		return ( uint8_t )fp_uartRead();
MOVW	R4, #lo_addr(__g2csensor_driver_fp_uartRead+0)
MOVT	R4, #hi_addr(__g2csensor_driver_fp_uartRead+0)
LDR	R4, [R4, #0]
BLX	R4
UXTB	R0, R0
;__hal_stm32.c,150 :: 		}
L_end_hal_uartRead:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of __g2csensor_driver_hal_uartRead
__g2csensor_driver_hal_uartReady:
;__hal_stm32.c,152 :: 		static uint8_t hal_uartReady()
SUB	SP, SP, #4
STR	LR, [SP, #0]
;__hal_stm32.c,154 :: 		return ( uint8_t )fp_uartReady();
MOVW	R4, #lo_addr(__g2csensor_driver_fp_uartReady+0)
MOVT	R4, #hi_addr(__g2csensor_driver_fp_uartReady+0)
LDR	R4, [R4, #0]
BLX	R4
UXTB	R0, R0
;__hal_stm32.c,155 :: 		}
L_end_hal_uartReady:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of __g2csensor_driver_hal_uartReady
_g2csensor_uartDriverInit:
;__g2csensor_driver.c,60 :: 		void g2csensor_uartDriverInit(T_G2CSENSOR_P gpioObj, T_G2CSENSOR_P uartObj)
; uartObj start address is: 4 (R1)
; gpioObj start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
MOV	R3, R0
; uartObj end address is: 4 (R1)
; gpioObj end address is: 0 (R0)
; gpioObj start address is: 12 (R3)
; uartObj start address is: 4 (R1)
;__g2csensor_driver.c,62 :: 		hal_uartMap( (T_HAL_P)uartObj );
MOV	R0, R1
; uartObj end address is: 4 (R1)
BL	__g2csensor_driver_hal_uartMap+0
;__g2csensor_driver.c,63 :: 		hal_gpioMap( (T_HAL_P)gpioObj );
MOV	R0, R3
; gpioObj end address is: 12 (R3)
BL	__g2csensor_driver_hal_gpioMap+0
;__g2csensor_driver.c,65 :: 		hal_gpio_rstSet( 1 );
MOVS	R0, #1
MOVW	R4, #lo_addr(__g2csensor_driver_hal_gpio_rstSet+0)
MOVT	R4, #hi_addr(__g2csensor_driver_hal_gpio_rstSet+0)
LDR	R4, [R4, #0]
BLX	R4
;__g2csensor_driver.c,66 :: 		Delay_100ms();
BL	_Delay_100ms+0
;__g2csensor_driver.c,67 :: 		hal_gpio_rstSet( 0 );
MOVS	R0, #0
MOVW	R4, #lo_addr(__g2csensor_driver_hal_gpio_rstSet+0)
MOVT	R4, #hi_addr(__g2csensor_driver_hal_gpio_rstSet+0)
LDR	R4, [R4, #0]
BLX	R4
;__g2csensor_driver.c,68 :: 		Delay_100ms();
BL	_Delay_100ms+0
;__g2csensor_driver.c,69 :: 		hal_gpio_rstSet( 1 );
MOVS	R0, #1
MOVW	R4, #lo_addr(__g2csensor_driver_hal_gpio_rstSet+0)
MOVT	R4, #hi_addr(__g2csensor_driver_hal_gpio_rstSet+0)
LDR	R4, [R4, #0]
BLX	R4
;__g2csensor_driver.c,70 :: 		Delay_1sec();
BL	_Delay_1sec+0
;__g2csensor_driver.c,71 :: 		Delay_1sec();
BL	_Delay_1sec+0
;__g2csensor_driver.c,72 :: 		Delay_1sec();
BL	_Delay_1sec+0
;__g2csensor_driver.c,73 :: 		Delay_1sec();
BL	_Delay_1sec+0
;__g2csensor_driver.c,74 :: 		Delay_1sec();
BL	_Delay_1sec+0
;__g2csensor_driver.c,75 :: 		}
L_end_g2csensor_uartDriverInit:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _g2csensor_uartDriverInit
_g2csensor_writeByte:
;__g2csensor_driver.c,81 :: 		void g2csensor_writeByte(uint8_t input)
; input start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
; input end address is: 0 (R0)
; input start address is: 0 (R0)
;__g2csensor_driver.c,83 :: 		hal_uartWrite(input);
; input end address is: 0 (R0)
BL	__g2csensor_driver_hal_uartWrite+0
;__g2csensor_driver.c,84 :: 		}
L_end_g2csensor_writeByte:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _g2csensor_writeByte
_g2csensor_readByte:
;__g2csensor_driver.c,86 :: 		uint8_t g2csensor_readByte()
SUB	SP, SP, #4
STR	LR, [SP, #0]
;__g2csensor_driver.c,88 :: 		return hal_uartRead();
BL	__g2csensor_driver_hal_uartRead+0
;__g2csensor_driver.c,89 :: 		}
L_end_g2csensor_readByte:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _g2csensor_readByte
_g2csensor_byteReady:
;__g2csensor_driver.c,91 :: 		uint8_t g2csensor_byteReady()
SUB	SP, SP, #4
STR	LR, [SP, #0]
;__g2csensor_driver.c,93 :: 		return hal_uartReady();
BL	__g2csensor_driver_hal_uartReady+0
;__g2csensor_driver.c,94 :: 		}
L_end_g2csensor_byteReady:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _g2csensor_byteReady
_g2csensor_enableDevice:
;__g2csensor_driver.c,96 :: 		void g2csensor_enableDevice ( void )
SUB	SP, SP, #260
STR	LR, [SP, #0]
;__g2csensor_driver.c,100 :: 		strcpy(buf, "AT+CEN=1");
MOVW	R1, #lo_addr(?lstr1___g2csensor_driver+0)
MOVT	R1, #hi_addr(?lstr1___g2csensor_driver+0)
ADD	R0, SP, #4
BL	_strcpy+0
;__g2csensor_driver.c,101 :: 		sendCommand(buf);
ADD	R0, SP, #4
BL	__g2csensor_driver_sendCommand+0
;__g2csensor_driver.c,102 :: 		Delay_1sec();
BL	_Delay_1sec+0
;__g2csensor_driver.c,103 :: 		Delay_1sec();
BL	_Delay_1sec+0
;__g2csensor_driver.c,104 :: 		Delay_1sec();
BL	_Delay_1sec+0
;__g2csensor_driver.c,105 :: 		Delay_1sec();
BL	_Delay_1sec+0
;__g2csensor_driver.c,106 :: 		Delay_1sec();
BL	_Delay_1sec+0
;__g2csensor_driver.c,107 :: 		}
L_end_g2csensor_enableDevice:
LDR	LR, [SP, #0]
ADD	SP, SP, #260
BX	LR
; end of _g2csensor_enableDevice
_g2csensor_disableDevice:
;__g2csensor_driver.c,109 :: 		void g2csensor_disableDevice ( void )
SUB	SP, SP, #260
STR	LR, [SP, #0]
;__g2csensor_driver.c,113 :: 		strcpy(buf, "AT+CEN=0");
MOVW	R1, #lo_addr(?lstr2___g2csensor_driver+0)
MOVT	R1, #hi_addr(?lstr2___g2csensor_driver+0)
ADD	R0, SP, #4
BL	_strcpy+0
;__g2csensor_driver.c,114 :: 		sendCommand(buf);
ADD	R0, SP, #4
BL	__g2csensor_driver_sendCommand+0
;__g2csensor_driver.c,115 :: 		Delay_1sec();
BL	_Delay_1sec+0
;__g2csensor_driver.c,116 :: 		}
L_end_g2csensor_disableDevice:
LDR	LR, [SP, #0]
ADD	SP, SP, #260
BX	LR
; end of _g2csensor_disableDevice
_g2csensor_resetDevice:
;__g2csensor_driver.c,118 :: 		void g2csensor_resetDevice ( void )
SUB	SP, SP, #260
STR	LR, [SP, #0]
;__g2csensor_driver.c,122 :: 		strcpy(buf, "AT+RST");
MOVW	R1, #lo_addr(?lstr3___g2csensor_driver+0)
MOVT	R1, #hi_addr(?lstr3___g2csensor_driver+0)
ADD	R0, SP, #4
BL	_strcpy+0
;__g2csensor_driver.c,123 :: 		sendCommand(buf);
ADD	R0, SP, #4
BL	__g2csensor_driver_sendCommand+0
;__g2csensor_driver.c,124 :: 		Delay_1sec();
BL	_Delay_1sec+0
;__g2csensor_driver.c,125 :: 		Delay_1sec();
BL	_Delay_1sec+0
;__g2csensor_driver.c,126 :: 		Delay_1sec();
BL	_Delay_1sec+0
;__g2csensor_driver.c,127 :: 		Delay_1sec();
BL	_Delay_1sec+0
;__g2csensor_driver.c,128 :: 		Delay_1sec();
BL	_Delay_1sec+0
;__g2csensor_driver.c,129 :: 		}
L_end_g2csensor_resetDevice:
LDR	LR, [SP, #0]
ADD	SP, SP, #260
BX	LR
; end of _g2csensor_resetDevice
_g2csensor_enableEcho:
;__g2csensor_driver.c,131 :: 		void g2csensor_enableEcho ( void )
SUB	SP, SP, #260
STR	LR, [SP, #0]
;__g2csensor_driver.c,135 :: 		strcpy(buf, "ATE1");
MOVW	R1, #lo_addr(?lstr4___g2csensor_driver+0)
MOVT	R1, #hi_addr(?lstr4___g2csensor_driver+0)
ADD	R0, SP, #4
BL	_strcpy+0
;__g2csensor_driver.c,136 :: 		sendCommand(buf);
ADD	R0, SP, #4
BL	__g2csensor_driver_sendCommand+0
;__g2csensor_driver.c,137 :: 		Delay_1sec();
BL	_Delay_1sec+0
;__g2csensor_driver.c,138 :: 		}
L_end_g2csensor_enableEcho:
LDR	LR, [SP, #0]
ADD	SP, SP, #260
BX	LR
; end of _g2csensor_enableEcho
_g2csensor_disableEcho:
;__g2csensor_driver.c,140 :: 		void g2csensor_disableEcho ( void )
SUB	SP, SP, #260
STR	LR, [SP, #0]
;__g2csensor_driver.c,144 :: 		strcpy(buf, "ATE0");
MOVW	R1, #lo_addr(?lstr5___g2csensor_driver+0)
MOVT	R1, #hi_addr(?lstr5___g2csensor_driver+0)
ADD	R0, SP, #4
BL	_strcpy+0
;__g2csensor_driver.c,145 :: 		sendCommand(buf);
ADD	R0, SP, #4
BL	__g2csensor_driver_sendCommand+0
;__g2csensor_driver.c,146 :: 		Delay_1sec();
BL	_Delay_1sec+0
;__g2csensor_driver.c,147 :: 		}
L_end_g2csensor_disableEcho:
LDR	LR, [SP, #0]
ADD	SP, SP, #260
BX	LR
; end of _g2csensor_disableEcho
_g2csensor_connectNetwork:
;__g2csensor_driver.c,149 :: 		void g2csensor_connectNetwork ( uint8_t *ssid, uint8_t *pass )
; pass start address is: 4 (R1)
; ssid start address is: 0 (R0)
SUB	SP, SP, #260
STR	LR, [SP, #0]
MOV	R6, R0
MOV	R7, R1
; pass end address is: 4 (R1)
; ssid end address is: 0 (R0)
; ssid start address is: 24 (R6)
; pass start address is: 28 (R7)
;__g2csensor_driver.c,155 :: 		strcpy(buf, "AT+NWCR=");
MOVW	R3, #lo_addr(?lstr6___g2csensor_driver+0)
MOVT	R3, #hi_addr(?lstr6___g2csensor_driver+0)
ADD	R2, SP, #4
MOV	R1, R3
MOV	R0, R2
BL	_strcpy+0
;__g2csensor_driver.c,156 :: 		strcat(buf, "\"");
MOVW	R3, #lo_addr(?lstr7___g2csensor_driver+0)
MOVT	R3, #hi_addr(?lstr7___g2csensor_driver+0)
ADD	R2, SP, #4
MOV	R1, R3
MOV	R0, R2
BL	_strcat+0
;__g2csensor_driver.c,157 :: 		strcat(buf, ssid);
ADD	R2, SP, #4
MOV	R1, R6
; ssid end address is: 24 (R6)
MOV	R0, R2
BL	_strcat+0
;__g2csensor_driver.c,158 :: 		strcat(buf, "\"");
MOVW	R3, #lo_addr(?lstr8___g2csensor_driver+0)
MOVT	R3, #hi_addr(?lstr8___g2csensor_driver+0)
ADD	R2, SP, #4
MOV	R1, R3
MOV	R0, R2
BL	_strcat+0
;__g2csensor_driver.c,159 :: 		strcat(buf, ",");
MOVW	R3, #lo_addr(?lstr9___g2csensor_driver+0)
MOVT	R3, #hi_addr(?lstr9___g2csensor_driver+0)
ADD	R2, SP, #4
MOV	R1, R3
MOV	R0, R2
BL	_strcat+0
;__g2csensor_driver.c,160 :: 		strcat(buf, "\"");
MOVW	R3, #lo_addr(?lstr10___g2csensor_driver+0)
MOVT	R3, #hi_addr(?lstr10___g2csensor_driver+0)
ADD	R2, SP, #4
MOV	R1, R3
MOV	R0, R2
BL	_strcat+0
;__g2csensor_driver.c,161 :: 		strcat(buf, pass);
ADD	R2, SP, #4
MOV	R1, R7
; pass end address is: 28 (R7)
MOV	R0, R2
BL	_strcat+0
;__g2csensor_driver.c,162 :: 		strcat(buf, "\"");
MOVW	R3, #lo_addr(?lstr11___g2csensor_driver+0)
MOVT	R3, #hi_addr(?lstr11___g2csensor_driver+0)
ADD	R2, SP, #4
MOV	R1, R3
MOV	R0, R2
BL	_strcat+0
;__g2csensor_driver.c,163 :: 		sendCommand(buf);
ADD	R2, SP, #4
MOV	R0, R2
BL	__g2csensor_driver_sendCommand+0
;__g2csensor_driver.c,164 :: 		Delay_1sec();
BL	_Delay_1sec+0
;__g2csensor_driver.c,168 :: 		memset(buf, 0, LOCAL_BUFFER_SIZE);
ADD	R2, SP, #4
MOVS	R1, #0
MOV	R0, R2
MOVW	R2, #256
SXTH	R2, R2
BL	_memset+0
;__g2csensor_driver.c,169 :: 		strcpy(buf, "AT+NWC=1");
MOVW	R3, #lo_addr(?lstr12___g2csensor_driver+0)
MOVT	R3, #hi_addr(?lstr12___g2csensor_driver+0)
ADD	R2, SP, #4
MOV	R1, R3
MOV	R0, R2
BL	_strcpy+0
;__g2csensor_driver.c,170 :: 		sendCommand(buf);
ADD	R2, SP, #4
MOV	R0, R2
BL	__g2csensor_driver_sendCommand+0
;__g2csensor_driver.c,171 :: 		Delay_1sec();
BL	_Delay_1sec+0
;__g2csensor_driver.c,172 :: 		Delay_1sec();
BL	_Delay_1sec+0
;__g2csensor_driver.c,173 :: 		Delay_1sec();
BL	_Delay_1sec+0
;__g2csensor_driver.c,174 :: 		Delay_1sec();
BL	_Delay_1sec+0
;__g2csensor_driver.c,175 :: 		Delay_1sec();
BL	_Delay_1sec+0
;__g2csensor_driver.c,176 :: 		}
L_end_g2csensor_connectNetwork:
LDR	LR, [SP, #0]
ADD	SP, SP, #260
BX	LR
; end of _g2csensor_connectNetwork
_g2csensor_disconnectNetwork:
;__g2csensor_driver.c,178 :: 		void g2csensor_disconnectNetwork ( void )
SUB	SP, SP, #260
STR	LR, [SP, #0]
;__g2csensor_driver.c,182 :: 		strcpy(buf, "AT+NWC=0");
MOVW	R1, #lo_addr(?lstr13___g2csensor_driver+0)
MOVT	R1, #hi_addr(?lstr13___g2csensor_driver+0)
ADD	R0, SP, #4
BL	_strcpy+0
;__g2csensor_driver.c,183 :: 		sendCommand(buf);
ADD	R0, SP, #4
BL	__g2csensor_driver_sendCommand+0
;__g2csensor_driver.c,184 :: 		Delay_1sec();
BL	_Delay_1sec+0
;__g2csensor_driver.c,185 :: 		Delay_1sec();
BL	_Delay_1sec+0
;__g2csensor_driver.c,186 :: 		Delay_1sec();
BL	_Delay_1sec+0
;__g2csensor_driver.c,187 :: 		Delay_1sec();
BL	_Delay_1sec+0
;__g2csensor_driver.c,188 :: 		Delay_1sec();
BL	_Delay_1sec+0
;__g2csensor_driver.c,189 :: 		}
L_end_g2csensor_disconnectNetwork:
LDR	LR, [SP, #0]
ADD	SP, SP, #260
BX	LR
; end of _g2csensor_disconnectNetwork
_g2csensor_connectBroker:
;__g2csensor_driver.c,191 :: 		void g2csensor_connectBroker ( uint8_t *devid, uint8_t *pass )
; pass start address is: 4 (R1)
; devid start address is: 0 (R0)
SUB	SP, SP, #260
STR	LR, [SP, #0]
MOV	R6, R0
MOV	R7, R1
; pass end address is: 4 (R1)
; devid end address is: 0 (R0)
; devid start address is: 24 (R6)
; pass start address is: 28 (R7)
;__g2csensor_driver.c,197 :: 		strcpy(buf, "AT+BRCR=");
MOVW	R3, #lo_addr(?lstr14___g2csensor_driver+0)
MOVT	R3, #hi_addr(?lstr14___g2csensor_driver+0)
ADD	R2, SP, #4
MOV	R1, R3
MOV	R0, R2
BL	_strcpy+0
;__g2csensor_driver.c,198 :: 		strcat(buf, "\"");
MOVW	R3, #lo_addr(?lstr15___g2csensor_driver+0)
MOVT	R3, #hi_addr(?lstr15___g2csensor_driver+0)
ADD	R2, SP, #4
MOV	R1, R3
MOV	R0, R2
BL	_strcat+0
;__g2csensor_driver.c,199 :: 		strcat(buf, devid);
ADD	R2, SP, #4
MOV	R1, R6
; devid end address is: 24 (R6)
MOV	R0, R2
BL	_strcat+0
;__g2csensor_driver.c,200 :: 		strcat(buf, "\"");
MOVW	R3, #lo_addr(?lstr16___g2csensor_driver+0)
MOVT	R3, #hi_addr(?lstr16___g2csensor_driver+0)
ADD	R2, SP, #4
MOV	R1, R3
MOV	R0, R2
BL	_strcat+0
;__g2csensor_driver.c,201 :: 		strcat(buf, ",");
MOVW	R3, #lo_addr(?lstr17___g2csensor_driver+0)
MOVT	R3, #hi_addr(?lstr17___g2csensor_driver+0)
ADD	R2, SP, #4
MOV	R1, R3
MOV	R0, R2
BL	_strcat+0
;__g2csensor_driver.c,202 :: 		strcat(buf, "\"");
MOVW	R3, #lo_addr(?lstr18___g2csensor_driver+0)
MOVT	R3, #hi_addr(?lstr18___g2csensor_driver+0)
ADD	R2, SP, #4
MOV	R1, R3
MOV	R0, R2
BL	_strcat+0
;__g2csensor_driver.c,203 :: 		strcat(buf, pass);
ADD	R2, SP, #4
MOV	R1, R7
; pass end address is: 28 (R7)
MOV	R0, R2
BL	_strcat+0
;__g2csensor_driver.c,204 :: 		strcat(buf, "\"");
MOVW	R3, #lo_addr(?lstr19___g2csensor_driver+0)
MOVT	R3, #hi_addr(?lstr19___g2csensor_driver+0)
ADD	R2, SP, #4
MOV	R1, R3
MOV	R0, R2
BL	_strcat+0
;__g2csensor_driver.c,205 :: 		sendCommand(buf);
ADD	R2, SP, #4
MOV	R0, R2
BL	__g2csensor_driver_sendCommand+0
;__g2csensor_driver.c,206 :: 		Delay_1sec();
BL	_Delay_1sec+0
;__g2csensor_driver.c,210 :: 		memset(buf, 0, LOCAL_BUFFER_SIZE);
ADD	R2, SP, #4
MOVS	R1, #0
MOV	R0, R2
MOVW	R2, #256
SXTH	R2, R2
BL	_memset+0
;__g2csensor_driver.c,211 :: 		strcpy(buf, "AT+BRC=1");
MOVW	R3, #lo_addr(?lstr20___g2csensor_driver+0)
MOVT	R3, #hi_addr(?lstr20___g2csensor_driver+0)
ADD	R2, SP, #4
MOV	R1, R3
MOV	R0, R2
BL	_strcpy+0
;__g2csensor_driver.c,212 :: 		sendCommand(buf);
ADD	R2, SP, #4
MOV	R0, R2
BL	__g2csensor_driver_sendCommand+0
;__g2csensor_driver.c,213 :: 		Delay_1sec();
BL	_Delay_1sec+0
;__g2csensor_driver.c,214 :: 		Delay_1sec();
BL	_Delay_1sec+0
;__g2csensor_driver.c,215 :: 		Delay_1sec();
BL	_Delay_1sec+0
;__g2csensor_driver.c,216 :: 		}
L_end_g2csensor_connectBroker:
LDR	LR, [SP, #0]
ADD	SP, SP, #260
BX	LR
; end of _g2csensor_connectBroker
_g2csensor_disconnectBroker:
;__g2csensor_driver.c,218 :: 		void g2csensor_disconnectBroker ( void )
SUB	SP, SP, #260
STR	LR, [SP, #0]
;__g2csensor_driver.c,222 :: 		strcpy(buf, "AT+BRC=0");
MOVW	R1, #lo_addr(?lstr21___g2csensor_driver+0)
MOVT	R1, #hi_addr(?lstr21___g2csensor_driver+0)
ADD	R0, SP, #4
BL	_strcpy+0
;__g2csensor_driver.c,223 :: 		sendCommand(buf);
ADD	R0, SP, #4
BL	__g2csensor_driver_sendCommand+0
;__g2csensor_driver.c,224 :: 		Delay_1sec();
BL	_Delay_1sec+0
;__g2csensor_driver.c,225 :: 		Delay_1sec();
BL	_Delay_1sec+0
;__g2csensor_driver.c,226 :: 		Delay_1sec();
BL	_Delay_1sec+0
;__g2csensor_driver.c,227 :: 		}
L_end_g2csensor_disconnectBroker:
LDR	LR, [SP, #0]
ADD	SP, SP, #260
BX	LR
; end of _g2csensor_disconnectBroker
_g2csensor_commitData:
;__g2csensor_driver.c,229 :: 		void g2csensor_commitData ( uint8_t *ref, uint8_t *val )
; val start address is: 4 (R1)
; ref start address is: 0 (R0)
SUB	SP, SP, #260
STR	LR, [SP, #0]
MOV	R6, R0
MOV	R7, R1
; val end address is: 4 (R1)
; ref end address is: 0 (R0)
; ref start address is: 24 (R6)
; val start address is: 28 (R7)
;__g2csensor_driver.c,233 :: 		strcpy(buf, "AT+DSET=");
MOVW	R3, #lo_addr(?lstr22___g2csensor_driver+0)
MOVT	R3, #hi_addr(?lstr22___g2csensor_driver+0)
ADD	R2, SP, #4
MOV	R1, R3
MOV	R0, R2
BL	_strcpy+0
;__g2csensor_driver.c,234 :: 		strcat(buf, "\"");
MOVW	R3, #lo_addr(?lstr23___g2csensor_driver+0)
MOVT	R3, #hi_addr(?lstr23___g2csensor_driver+0)
ADD	R2, SP, #4
MOV	R1, R3
MOV	R0, R2
BL	_strcat+0
;__g2csensor_driver.c,235 :: 		strcat(buf, ref);
ADD	R2, SP, #4
MOV	R1, R6
; ref end address is: 24 (R6)
MOV	R0, R2
BL	_strcat+0
;__g2csensor_driver.c,236 :: 		strcat(buf, "\"");
MOVW	R3, #lo_addr(?lstr24___g2csensor_driver+0)
MOVT	R3, #hi_addr(?lstr24___g2csensor_driver+0)
ADD	R2, SP, #4
MOV	R1, R3
MOV	R0, R2
BL	_strcat+0
;__g2csensor_driver.c,237 :: 		strcat(buf, ",");
MOVW	R3, #lo_addr(?lstr25___g2csensor_driver+0)
MOVT	R3, #hi_addr(?lstr25___g2csensor_driver+0)
ADD	R2, SP, #4
MOV	R1, R3
MOV	R0, R2
BL	_strcat+0
;__g2csensor_driver.c,238 :: 		strcat(buf, "\"");
MOVW	R3, #lo_addr(?lstr26___g2csensor_driver+0)
MOVT	R3, #hi_addr(?lstr26___g2csensor_driver+0)
ADD	R2, SP, #4
MOV	R1, R3
MOV	R0, R2
BL	_strcat+0
;__g2csensor_driver.c,239 :: 		strcat(buf, val);
ADD	R2, SP, #4
MOV	R1, R7
; val end address is: 28 (R7)
MOV	R0, R2
BL	_strcat+0
;__g2csensor_driver.c,240 :: 		strcat(buf, "\"");
MOVW	R3, #lo_addr(?lstr27___g2csensor_driver+0)
MOVT	R3, #hi_addr(?lstr27___g2csensor_driver+0)
ADD	R2, SP, #4
MOV	R1, R3
MOV	R0, R2
BL	_strcat+0
;__g2csensor_driver.c,241 :: 		sendCommand(buf);
ADD	R2, SP, #4
MOV	R0, R2
BL	__g2csensor_driver_sendCommand+0
;__g2csensor_driver.c,242 :: 		Delay_1sec();
BL	_Delay_1sec+0
;__g2csensor_driver.c,243 :: 		}
L_end_g2csensor_commitData:
LDR	LR, [SP, #0]
ADD	SP, SP, #260
BX	LR
; end of _g2csensor_commitData
_g2csensor_publishData:
;__g2csensor_driver.c,245 :: 		void g2csensor_publishData ( void )
SUB	SP, SP, #260
STR	LR, [SP, #0]
;__g2csensor_driver.c,249 :: 		strcpy(buf, "AT+PUB");
MOVW	R1, #lo_addr(?lstr28___g2csensor_driver+0)
MOVT	R1, #hi_addr(?lstr28___g2csensor_driver+0)
ADD	R0, SP, #4
BL	_strcpy+0
;__g2csensor_driver.c,250 :: 		sendCommand(buf);
ADD	R0, SP, #4
BL	__g2csensor_driver_sendCommand+0
;__g2csensor_driver.c,251 :: 		Delay_1sec();
BL	_Delay_1sec+0
;__g2csensor_driver.c,252 :: 		Delay_1sec();
BL	_Delay_1sec+0
;__g2csensor_driver.c,253 :: 		Delay_1sec();
BL	_Delay_1sec+0
;__g2csensor_driver.c,254 :: 		}
L_end_g2csensor_publishData:
LDR	LR, [SP, #0]
ADD	SP, SP, #260
BX	LR
; end of _g2csensor_publishData
__g2csensor_driver_sendCommand:
;__g2csensor_driver.c,258 :: 		static void sendCommand ( uint8_t *buff )
; buff start address is: 0 (R0)
SUB	SP, SP, #12
STR	LR, [SP, #0]
MOV	R1, R0
; buff end address is: 0 (R0)
; buff start address is: 4 (R1)
;__g2csensor_driver.c,262 :: 		for (idx = 0; buff[idx] != 0; ++idx)
; idx start address is: 0 (R0)
MOVS	R0, #0
; buff end address is: 4 (R1)
; idx end address is: 0 (R0)
UXTH	R2, R0
MOV	R0, R1
L___g2csensor_driver_sendCommand0:
; idx start address is: 8 (R2)
; buff start address is: 0 (R0)
ADDS	R1, R0, R2
LDRB	R1, [R1, #0]
CMP	R1, #0
IT	EQ
BEQ	L___g2csensor_driver_sendCommand1
;__g2csensor_driver.c,264 :: 		hal_uartWrite(buff[idx]);
ADDS	R1, R0, R2
LDRB	R1, [R1, #0]
STR	R0, [SP, #4]
STRH	R2, [SP, #8]
UXTB	R0, R1
BL	__g2csensor_driver_hal_uartWrite+0
LDRH	R2, [SP, #8]
LDR	R0, [SP, #4]
;__g2csensor_driver.c,262 :: 		for (idx = 0; buff[idx] != 0; ++idx)
ADDS	R2, R2, #1
UXTH	R2, R2
;__g2csensor_driver.c,265 :: 		}
; buff end address is: 0 (R0)
; idx end address is: 8 (R2)
IT	AL
BAL	L___g2csensor_driver_sendCommand0
L___g2csensor_driver_sendCommand1:
;__g2csensor_driver.c,267 :: 		hal_uartWrite(13);
MOVS	R0, #13
BL	__g2csensor_driver_hal_uartWrite+0
;__g2csensor_driver.c,268 :: 		}
L_end_sendCommand:
LDR	LR, [SP, #0]
ADD	SP, SP, #12
BX	LR
; end of __g2csensor_driver_sendCommand
