#line 1 "C:/Users/vlado/Downloads/2841_hdc1000_and_g2c_click_demo_v1.0.0.0/library/__g2csensor_driver.c"
#line 1 "c:/users/vlado/downloads/2841_hdc1000_and_g2c_click_demo_v1.0.0.0/library/__g2csensor_driver.h"
#line 1 "c:/users/public/documents/mikroelektronika/mikroc pro for arm/include/stdint.h"





typedef signed char int8_t;
typedef signed int int16_t;
typedef signed long int int32_t;
typedef signed long long int64_t;


typedef unsigned char uint8_t;
typedef unsigned int uint16_t;
typedef unsigned long int uint32_t;
typedef unsigned long long uint64_t;


typedef signed char int_least8_t;
typedef signed int int_least16_t;
typedef signed long int int_least32_t;
typedef signed long long int_least64_t;


typedef unsigned char uint_least8_t;
typedef unsigned int uint_least16_t;
typedef unsigned long int uint_least32_t;
typedef unsigned long long uint_least64_t;



typedef signed long int int_fast8_t;
typedef signed long int int_fast16_t;
typedef signed long int int_fast32_t;
typedef signed long long int_fast64_t;


typedef unsigned long int uint_fast8_t;
typedef unsigned long int uint_fast16_t;
typedef unsigned long int uint_fast32_t;
typedef unsigned long long uint_fast64_t;


typedef signed long int intptr_t;
typedef unsigned long int uintptr_t;


typedef signed long long intmax_t;
typedef unsigned long long uintmax_t;
#line 78 "c:/users/vlado/downloads/2841_hdc1000_and_g2c_click_demo_v1.0.0.0/library/__g2csensor_driver.h"
void g2csensor_uartDriverInit( const uint8_t*  gpioObj,  const uint8_t*  uartObj);
#line 90 "c:/users/vlado/downloads/2841_hdc1000_and_g2c_click_demo_v1.0.0.0/library/__g2csensor_driver.h"
void g2csensor_writeByte(uint8_t input);
#line 99 "c:/users/vlado/downloads/2841_hdc1000_and_g2c_click_demo_v1.0.0.0/library/__g2csensor_driver.h"
uint8_t g2csensor_readByte();
#line 108 "c:/users/vlado/downloads/2841_hdc1000_and_g2c_click_demo_v1.0.0.0/library/__g2csensor_driver.h"
uint8_t g2csensor_byteReady();

void g2csensor_enableDevice ( void );

void g2csensor_disableDevice ( void );

void g2csensor_resetDevice ( void );

void g2csensor_enableEcho ( void );

void g2csensor_disableEcho ( void );

void g2csensor_connectNetwork ( uint8_t *ssid, uint8_t *pass );

void g2csensor_disconnectNetwork ( void );

void g2csensor_connectBroker ( uint8_t *devid, uint8_t *pass );

void g2csensor_disconnectBroker ( void );

void g2csensor_commitData ( uint8_t *ref, uint8_t *val );

void g2csensor_publishData ( void );
#line 1 "c:/users/vlado/downloads/2841_hdc1000_and_g2c_click_demo_v1.0.0.0/library/__g2csensor_hal.c"
#line 1 "c:/users/public/documents/mikroelektronika/mikroc pro for arm/include/stdint.h"
#line 202 "c:/users/vlado/downloads/2841_hdc1000_and_g2c_click_demo_v1.0.0.0/library/__g2csensor_hal.c"
static void hal_uartMap( const uint8_t*  uartObj);
#line 211 "c:/users/vlado/downloads/2841_hdc1000_and_g2c_click_demo_v1.0.0.0/library/__g2csensor_hal.c"
static void hal_uartWrite(uint8_t input);
#line 220 "c:/users/vlado/downloads/2841_hdc1000_and_g2c_click_demo_v1.0.0.0/library/__g2csensor_hal.c"
static uint8_t hal_uartRead();
#line 229 "c:/users/vlado/downloads/2841_hdc1000_and_g2c_click_demo_v1.0.0.0/library/__g2csensor_hal.c"
static uint8_t hal_uartReady();





typedef void (*T_hal_gpioSetFp)(uint8_t);
typedef uint8_t (*T_hal_gpioGetFp)();

typedef struct
{
 T_hal_gpioSetFp gpioSet[ 12 ];
 T_hal_gpioGetFp gpioGet[ 12 ];

}T_hal_gpioObj;


static T_hal_gpioGetFp hal_gpio_anGet;
#line 264 "c:/users/vlado/downloads/2841_hdc1000_and_g2c_click_demo_v1.0.0.0/library/__g2csensor_hal.c"
static T_hal_gpioGetFp hal_gpio_pwmGet;


static T_hal_gpioGetFp hal_gpio_intGet;
#line 282 "c:/users/vlado/downloads/2841_hdc1000_and_g2c_click_demo_v1.0.0.0/library/__g2csensor_hal.c"
static T_hal_gpioSetFp hal_gpio_anSet;


static T_hal_gpioSetFp hal_gpio_csSet;


static T_hal_gpioSetFp hal_gpio_rstSet;
#line 300 "c:/users/vlado/downloads/2841_hdc1000_and_g2c_click_demo_v1.0.0.0/library/__g2csensor_hal.c"
static T_hal_gpioSetFp hal_gpio_pwmSet;
#line 321 "c:/users/vlado/downloads/2841_hdc1000_and_g2c_click_demo_v1.0.0.0/library/__g2csensor_hal.c"
static void hal_gpioMap( const uint8_t*  gpioObj)
{
  const T_hal_gpioObj*  tmp = ( const T_hal_gpioObj* )gpioObj;


 hal_gpio_anGet = tmp->gpioGet[  0  ];
#line 344 "c:/users/vlado/downloads/2841_hdc1000_and_g2c_click_demo_v1.0.0.0/library/__g2csensor_hal.c"
 hal_gpio_pwmGet = tmp->gpioGet[  6  ];


 hal_gpio_intGet = tmp->gpioGet[  7  ];
#line 362 "c:/users/vlado/downloads/2841_hdc1000_and_g2c_click_demo_v1.0.0.0/library/__g2csensor_hal.c"
 hal_gpio_anSet = tmp->gpioSet[  0  ];


 hal_gpio_csSet = tmp->gpioSet[  2  ];


 hal_gpio_rstSet = tmp->gpioSet[  1  ];
#line 380 "c:/users/vlado/downloads/2841_hdc1000_and_g2c_click_demo_v1.0.0.0/library/__g2csensor_hal.c"
 hal_gpio_pwmSet = tmp->gpioSet[  6  ];
#line 397 "c:/users/vlado/downloads/2841_hdc1000_and_g2c_click_demo_v1.0.0.0/library/__g2csensor_hal.c"
}
#line 1 "c:/users/vlado/downloads/2841_hdc1000_and_g2c_click_demo_v1.0.0.0/library/hal/__hal_stm32.c"
#line 1 "c:/users/public/documents/mikroelektronika/mikroc pro for arm/include/stdint.h"
#line 117 "c:/users/vlado/downloads/2841_hdc1000_and_g2c_click_demo_v1.0.0.0/library/hal/__hal_stm32.c"
typedef void ( *T_hal_uartWriteFp )(unsigned int);
typedef unsigned int ( *T_hal_uartReadFp )();
typedef unsigned int ( *T_hal_uartReadyFp )();

typedef struct
{
 T_hal_uartWriteFp uartWrite;
 T_hal_uartReadFp uartRead;
 T_hal_uartReadyFp uartReady;

}T_hal_uartObj;

static T_hal_uartWriteFp fp_uartWrite;
static T_hal_uartReadFp fp_uartRead;
static T_hal_uartReadyFp fp_uartReady;

static void hal_uartMap( const uint8_t*  uartObj)
{
  const T_hal_uartObj*  tmp = ( const T_hal_uartObj* )uartObj;

 fp_uartWrite = tmp->uartWrite;
 fp_uartRead = tmp->uartRead;
 fp_uartReady = tmp->uartReady;
}

static void hal_uartWrite(uint8_t input)
{
 fp_uartWrite(input);
}

static uint8_t hal_uartRead()
{
 return ( uint8_t )fp_uartRead();
}

static uint8_t hal_uartReady()
{
 return ( uint8_t )fp_uartReady();
}
#line 29 "C:/Users/vlado/Downloads/2841_hdc1000_and_g2c_click_demo_v1.0.0.0/library/__g2csensor_driver.c"
static void sendCommand ( uint8_t *buff );
#line 60 "C:/Users/vlado/Downloads/2841_hdc1000_and_g2c_click_demo_v1.0.0.0/library/__g2csensor_driver.c"
void g2csensor_uartDriverInit( const uint8_t*  gpioObj,  const uint8_t*  uartObj)
{
 hal_uartMap( ( const uint8_t* )uartObj );
 hal_gpioMap( ( const uint8_t* )gpioObj );

 hal_gpio_rstSet( 1 );
 Delay_100ms();
 hal_gpio_rstSet( 0 );
 Delay_100ms();
 hal_gpio_rstSet( 1 );
 Delay_1sec();
 Delay_1sec();
 Delay_1sec();
 Delay_1sec();
 Delay_1sec();
}





void g2csensor_writeByte(uint8_t input)
{
 hal_uartWrite(input);
}

uint8_t g2csensor_readByte()
{
 return hal_uartRead();
}

uint8_t g2csensor_byteReady()
{
 return hal_uartReady();
}

void g2csensor_enableDevice ( void )
{
 uint8_t buf[  (256)  ];

 strcpy(buf, "AT+CEN=1");
 sendCommand(buf);
 Delay_1sec();
 Delay_1sec();
 Delay_1sec();
 Delay_1sec();
 Delay_1sec();
}

void g2csensor_disableDevice ( void )
{
 uint8_t buf[  (256)  ];

 strcpy(buf, "AT+CEN=0");
 sendCommand(buf);
 Delay_1sec();
}

void g2csensor_resetDevice ( void )
{
 uint8_t buf[  (256)  ];

 strcpy(buf, "AT+RST");
 sendCommand(buf);
 Delay_1sec();
 Delay_1sec();
 Delay_1sec();
 Delay_1sec();
 Delay_1sec();
}

void g2csensor_enableEcho ( void )
{
 uint8_t buf[  (256)  ];

 strcpy(buf, "ATE1");
 sendCommand(buf);
 Delay_1sec();
}

void g2csensor_disableEcho ( void )
{
 uint8_t buf[  (256)  ];

 strcpy(buf, "ATE0");
 sendCommand(buf);
 Delay_1sec();
}

void g2csensor_connectNetwork ( uint8_t *ssid, uint8_t *pass )
{
 uint8_t buf[  (256)  ];



 strcpy(buf, "AT+NWCR=");
 strcat(buf, "\"");
 strcat(buf, ssid);
 strcat(buf, "\"");
 strcat(buf, ",");
 strcat(buf, "\"");
 strcat(buf, pass);
 strcat(buf, "\"");
 sendCommand(buf);
 Delay_1sec();



 memset(buf, 0,  (256) );
 strcpy(buf, "AT+NWC=1");
 sendCommand(buf);
 Delay_1sec();
 Delay_1sec();
 Delay_1sec();
 Delay_1sec();
 Delay_1sec();
}

void g2csensor_disconnectNetwork ( void )
{
 uint8_t buf[  (256)  ];

 strcpy(buf, "AT+NWC=0");
 sendCommand(buf);
 Delay_1sec();
 Delay_1sec();
 Delay_1sec();
 Delay_1sec();
 Delay_1sec();
}

void g2csensor_connectBroker ( uint8_t *devid, uint8_t *pass )
{
 uint8_t buf[  (256)  ];



 strcpy(buf, "AT+BRCR=");
 strcat(buf, "\"");
 strcat(buf, devid);
 strcat(buf, "\"");
 strcat(buf, ",");
 strcat(buf, "\"");
 strcat(buf, pass);
 strcat(buf, "\"");
 sendCommand(buf);
 Delay_1sec();



 memset(buf, 0,  (256) );
 strcpy(buf, "AT+BRC=1");
 sendCommand(buf);
 Delay_1sec();
 Delay_1sec();
 Delay_1sec();
}

void g2csensor_disconnectBroker ( void )
{
 uint8_t buf[  (256)  ];

 strcpy(buf, "AT+BRC=0");
 sendCommand(buf);
 Delay_1sec();
 Delay_1sec();
 Delay_1sec();
}

void g2csensor_commitData ( uint8_t *ref, uint8_t *val )
{
 uint8_t buf[  (256)  ];

 strcpy(buf, "AT+DSET=");
 strcat(buf, "\"");
 strcat(buf, ref);
 strcat(buf, "\"");
 strcat(buf, ",");
 strcat(buf, "\"");
 strcat(buf, val);
 strcat(buf, "\"");
 sendCommand(buf);
 Delay_1sec();
}

void g2csensor_publishData ( void )
{
 uint8_t buf[  (256)  ];

 strcpy(buf, "AT+PUB");
 sendCommand(buf);
 Delay_1sec();
 Delay_1sec();
 Delay_1sec();
}



static void sendCommand ( uint8_t *buff )
{
 uint16_t idx;

 for (idx = 0; buff[idx] != 0; ++idx)
 {
 hal_uartWrite(buff[idx]);
 }

 hal_uartWrite(13);
}
